"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-38/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906af3a0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906af430>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906af4c0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906af550>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906af5e0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906af670>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906af700>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906af790>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906af820>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906af8b0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906af940>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906af9d0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906afa60>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906afaf0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906afb80>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906afc10>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906afca0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906afd30>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906afdc0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906afe50>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906afee0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906aff70>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b5040>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b50d0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b51f0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b5160>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b5280>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b5310>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b53a0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b5430>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b54c0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b5550>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b55e0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b5670>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b5700>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b5790>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b5820>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b58b0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b5940>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b59d0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b5a60>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b5af0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b5b80>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b5c10>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b5ca0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b5d30>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b5dc0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b5e50>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b5ee0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b5f70>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b9040>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b90d0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b9160>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b91f0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b9280>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b9310>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b93a0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b9430>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b94c0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b9550>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b95e0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b9670>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b9700>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b9790>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b9820>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b99d0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b98b0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b9a60>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b9af0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b9b80>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b9c10>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b9ca0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b9dc0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b9d30>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b9e50>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b9ee0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906b9f70>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906bc0d0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906bc040>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906bc160>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906bc1f0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906bc280>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906bc310>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906bc3a0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7fbe906bc430>)]
name: str = 'fr_HOCCN'
